> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update One Bill Line Item

> Update an bill line item by ID



## OpenAPI

````yaml /api-reference/openapi.json patch /api/rest/bill_line_items/{id}
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/bill_line_items/{id}:
    patch:
      tags:
        - Bill Line Items
      summary: Update One Bill Line Item
      description: Update an bill line item by ID
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: _"id" is required
          in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              properties:
                input:
                  $ref: '#/components/schemas/BillLineItemsSetInput'
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updateBillLineItem:
                    description: columns and relationships of "bill_line_items"
                    nullable: true
                    properties:
                      billId:
                        nullable: false
                        title: String
                        type: string
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      description:
                        nullable: true
                        title: String
                        type: string
                      id:
                        nullable: false
                        title: String
                        type: string
                      item:
                        nullable: true
                        title: String
                        type: string
                      lineNumber:
                        nullable: false
                        title: String
                        type: string
                      quantity:
                        $ref: '#/components/schemas/numeric'
                      sourceSystem:
                        nullable: true
                        title: String
                        type: string
                      sourceSystemId:
                        nullable: true
                        title: String
                        type: string
                      totalAmount:
                        nullable: true
                        title: Int
                        type: integer
                      unitPrice:
                        nullable: true
                        title: Int
                        type: integer
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                    title: BillLineItems
                    type: object
          description: Responses for PATCH /api/rest/bill_line_items/{id}
components:
  schemas:
    BillLineItemsSetInput:
      description: input type for updating data in table "bill_line_items"
      nullable: false
      properties:
        description:
          nullable: true
          title: String
          type: string
        item:
          nullable: true
          title: String
          type: string
        lineNumber:
          nullable: true
          title: String
          type: string
        quantity:
          $ref: '#/components/schemas/numeric'
        sourceSystem:
          nullable: true
          title: String
          type: string
        sourceSystemId:
          nullable: true
          title: String
          type: string
        totalAmount:
          nullable: true
          title: Int
          type: integer
        unitPrice:
          nullable: true
          title: Int
          type: integer
      title: BillLineItemsSetInput
      type: object
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    numeric:
      nullable: false
      title: numeric

````